Account search

GET /users/search
GetUsersSearch

Search tracked accounts by display name or handle. Returns matching accounts ordered by relevance. Use q for the query string and limit (max 50) to cap results.

Parameters

q string QUERY required

Search query. For tokens this matches symbol, name, or contract address; for accounts it matches display name or handle.

Example:string

limit integer QUERY

Maximum number of results to return (default 10, max 50).

Example:50

Responses

200 OK
400 Bad Request ErrorResponse

Media type application/json

query
string optional

Normalized query string that was searched.

total
integer optional

Number of accounts returned in this response.

users
array<object> optional

Matching accounts ordered by relevance.

users[].author_id
integer (int64) optional

Internal Ruma author identifier.

users[].avatar_url
string optional

URL of the account's avatar image.

users[].bot_score
number (double) optional

Model score based on the quality of the account's smart-money followers.

users[].cohort
integer optional

Cohort classification id for the account.

users[].display_name
string optional

Display name of the account.

users[].followers
integer (int64) optional

Total follower count for the account.

users[].name
string optional

Account name.

users[].profile_url
string optional

Normalized query string that was searched.

users[].screen_name
string optional

Screen name or handle on the source platform.

users[].smart_followers_score
number (double) optional

Model score based on the quality of the account's smart-money followers.

users[].smart_money_score
number (double) optional

Model score based on the quality of the account's smart-money followers.

users[].source
string optional

Source platform for the account (e.g. twitter).

users[].source_user_id
string optional

Identifier for the account on the source platform.

users[].verified
boolean optional

Whether the account is verified on the source platform.